<?
/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium) © 2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|       Belmont Theme for PHP-Fusion v6       |
|---------------------------------------------|
| author: Lorkan Themes - Shedrock © 2005     |
| web: http://phpfusion.org                   |
| email: webmaster@phpfusion.org              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/


// theme settings
$body_text = "#25414E";
$body_bg = "#ADBCC1";
$theme_width = "100%";
$theme_width_l = "185";
$theme_width_r = "185";

function render_header($header_content) {
global $theme_width,$settings;
	
	echo "<table width='$theme_width' cellpadding='0' cellspacing='0'>";
	echo "<tr><td class='header-left'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td width='100%' style='background-image:url(".THEME."images/header-main.gif)'></td>";
	echo "<td class='header-right'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>";
	
	echo "<table bgcolor='#FFFFFF' width='$theme_width' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";
	echo "<td style='padding-left:4px;' align='left'>$header_content</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td>";
	echo "</tr></table>";
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";

	//Nav links begin
	echo "<table border='0' cellspacing='0'  width='100%' cellpadding='0'><tr>";
	echo "<td class='nav-left'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "<td width='70%' class='nav-main'>";
	$result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
		if (dbrows($result) != 0) {
	$i = 0;
	while($data = dbarray($result)) {
		if (checkgroup($data['link_visibility'])) {
			if ($data['link_url']!="---") {
				if ($i != 0) { echo " <img border='0' vspace='1' src='".THEME."images/divider.gif'>\n"; } else { echo "\n"; }
				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
					echo "<a href='".$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
				} else {
					echo "<a href='".BASEDIR.$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
				}
			}
			$i++;
		}
	}
}
	echo ($i == 0 ? "&nbsp;" : "")."</td>";
	echo "<td align='right' width='30%' class='datetime'>".ucwords(showdate($settings['subheaderdate'], time()))."</td>";
	echo "<td class='nav-right'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'>";
	echo "</td></tr></table>";
	echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
}

function render_footer($license=false) {
global $theme_width,$locale,$settings;

	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td class='panel-left'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "<td align='center' width='100%' class='panel-main'><font color='#7193A5'>".$settings['counter']." </font>".($settings['counter'] == 1 ? $locale['140']."\n" : $locale['141']."</td>\n");
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";
	echo "<td align='center' class='footer'>".stripslashes($settings['footer'])."\n";
	    		if ($license == false) {
	echo "Powered by <a target='_blank' href='http://www.php-fusion.co.uk'><img src='".THEME."images/fusion.gif' style='vertical-align:middle;'></a> v".$settings['version']." &copy; 2003-2005";
	}
	echo " | The Belmont Blue theme creatd from The Belmont Theme by: <a target='_blank' href='http://phpfusion-themes.com'><img src='".THEME."images/fthemes.gif' style='vertical-align:middle;'></a>";
	echo "<br><br> ";
		echo "</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";
}

function render_news($subject, $news, $info) {

global $locale;
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'><img src='".THEME."images/panpic.gif' vspace='1'>$subject</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";
	echo "<td class='news-body'><div style='width:100%;vertical-align:top;'>$news</div><br>";
	echo "<div style='margin-top:5px'>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='infobar'><img src='".THEME."images/bullet.gif'> ";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['news_date'])."</td>";
	echo "<td align='right' class='infobar2'>";
	echo "".($info['news_ext'] == "y" ? "<a href='news.php?readmore=".$info['news_id']."'><b>".$locale['042']."</b></a> <b>·</b>\n" : "")."";
	if ($info['news_allow_comments']) 
	echo "<a href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].$locale['043']."</a> <b>·</b> ";
	echo "".$info['news_reads'].$locale['044']." <b>-</b> ";
	echo "<a href='print.php?type=N&item_id=".$info['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></div></td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'>";
	echo "</td></tr><tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";
}

function render_article($subject, $article, $info) {

global $locale;
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'><img src='".THEME."images/panpic.gif' vspace='1'>$subject</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";
	echo "<td class='news-body'><div style='width:100%;vertical-align:top;'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div><br>";
	echo "<div style='margin-top:5px'>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='infobar'><img src='".THEME."images/bulletc.gif'> ";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['article_date'])."</td>";
	echo "<td align='right' class='infobar2'>";
	if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']." <b>·</b> ";
	echo "".$info['article_reads'].$locale['044']." <b>-</b> ";
	echo "<a href='print.php?type=A&item_id=".$info['article_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></div></td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td>";
	echo "</tr><tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";
}

function opentable($title) {

	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td class='panel-left'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'>$title</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";
	echo "<td class='table-body'>\n";
}

function closetable() {

	echo "</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";
}

function openside($title) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'><img src='".THEME."images/panpic.gif' vspace='1'>$title</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";
	echo "<td class='side-body'>\n";
}

function closeside() {

	echo "</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td></tr></table>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";
}

function opensidex($title,$open="on") {

	$boxname = str_replace(" ", "", $title);
	$box_img = $open == "on" ? "off" : "on";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'><img align='right' src='".THEME."images/panel_$box_img.gif' name='b_$boxname' alt='' onclick=\"javascript:flipBox('$boxname')\"><img src='".THEME."images/panpic.gif' vspace='1'>$title</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='15' height='25' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' height='1' alt='' style='display:block'></td>";	
	echo "<td class='side-body'>\n";
	echo "<div id='box_$boxname'".($open=="off" ? "style='display:none'" : "").">";
}

function closesidex() {

	echo "</div></td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='15' height='1' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='21' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='15' height='21' alt='' style='display:block'></td>";
	echo "</tr></table>\n";
}

function tablebreak() {

	echo "<table width='100%' cellspacing='0' cellpadding='0'>";
	echo "<tr><td></td></tr></table>\n";
}
?>